Functions
Data Access
Peripheral Driver » LL Driver » AON_GPIO » Functions

## Functions
__STATIC_INLINE uint32_t | ll_aon_gpio_read_input_port (void)
| Return full input data register value of AON_GPIO. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_read_input_pin (uint32_t pin_mask)
| Return if input data level of several AON_GPIO pins is high or low. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_read_output_pin (uint32_t pin_mask)
| Return if output data level of several AON_GPIO pins is high or low. More...
__STATIC_INLINE void | ll_aon_gpio_write_output_port (uint32_t port_value)
| Write output data register of AON_GPIO. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_read_output_port (void)
| Return full output data register value of AON_GPIO. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_output_pin_set (uint32_t pin_mask)
| Return if input data level of several AON_GPIO pins is high or low. More...
__STATIC_INLINE void | ll_aon_gpio_set_output_pin (uint32_t pin_mask)
| Set specified AON_GPIO pins to high level. More...
__STATIC_INLINE void | ll_aon_gpio_reset_output_pin (uint32_t pin_mask)
| Set specified AON_GPIO pins to low level. More...
__STATIC_INLINE void | ll_aon_gpio_toggle_pin (uint32_t pin_mask)
| Toggle data value of specified AON_GPIO pins. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_gpio_is_output_pin_set()

__STATIC_INLINE uint32_t ll_aon_gpio_is_output_pin_set | ( | uint32_t | pin_mask | ) |

Return if input data level of several AON_GPIO pins is high or low.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_GPO

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 917 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_read_input_pin()

__STATIC_INLINE uint32_t ll_aon_gpio_read_input_pin | ( | uint32_t | pin_mask | ) |

Return if input data level of several AON_GPIO pins is high or low.

Register|BitsName --------|-------- AON_PAD_CTL1 | IN_VAL

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 838 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_read_input_port()

__STATIC_INLINE uint32_t ll_aon_gpio_read_input_port | ( | void |  | ) |

Return full input data register value of AON_GPIO.

Register|BitsName --------|-------- AON_PAD_CTL1 | IN_VAL

Return values

  Input | data register value of port

Definition at line 813 of file ll_aon_gpio.h.

References AON_IO, and LL_AON_GPIO_PIN_ALL.

## ◆ ll_aon_gpio_read_output_pin()

__STATIC_INLINE uint32_t ll_aon_gpio_read_output_pin | ( | uint32_t | pin_mask | ) |

Return if output data level of several AON_GPIO pins is high or low.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_GPIO

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 863 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_read_output_port()

__STATIC_INLINE uint32_t ll_aon_gpio_read_output_port | ( | void |  | ) |

Return full output data register value of AON_GPIO.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_GPO

Return values

  Output | data register value of port

Definition at line 893 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_reset_output_pin()

__STATIC_INLINE void ll_aon_gpio_reset_output_pin | ( | uint32_t | pin_mask | ) |

Set specified AON_GPIO pins to low level.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_GPO

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 966 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_set_output_pin()

__STATIC_INLINE void ll_aon_gpio_set_output_pin | ( | uint32_t | pin_mask | ) |

Set specified AON_GPIO pins to high level.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_GPO

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 942 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_toggle_pin()

__STATIC_INLINE void ll_aon_gpio_toggle_pin | ( | uint32_t | pin_mask | ) |

Toggle data value of specified AON_GPIO pins.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_GPO

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 990 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_write_output_port()

__STATIC_INLINE void ll_aon_gpio_write_output_port | ( | uint32_t | port_value | ) |

Write output data register of AON_GPIO.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_GPO

Parameters

  port_value | Level value for each pin of the port

Return values

  None |

Definition at line 879 of file ll_aon_gpio.h.

References AON_IO.